ParseException (Java Platform SE 8 )
Keywords: java.text.ParseException class
Date: 2015-11-19

compact1, compact2, compact3
java.text

## Class ParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.text.ParseException

- All Implemented Interfaces:
    Serializable

      public class ParseException
      extends Exception

  Signals that an error has been reached unexpectedly while parsing.
  See Also:
    `Exception`, `Format`, `FieldPosition`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParseException(String s, int errorOffset)` Constructs a ParseException with the specified detail message and offset.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getErrorOffset()` Returns the position where the error was found.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParseException

          public ParseException(String s,
                                int errorOffset)

      Constructs a ParseException with the specified detail message and offset. A detail message is a String that describes this particular exception.
      Parameters:
        `s` - the detail message
        `errorOffset` - the position where the error is found while parsing.

  - ### Method Detail

    - #### getErrorOffset

          public int getErrorOffset()

      Returns the position where the error was found.
      Returns:
        the position where the error was found

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.